package com.mortals.xhx.module.category.model;
import java.util.List;
import java.util.ArrayList;
import java.math.BigDecimal;
import cn.hutool.core.date.DateUtil;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.category.model.vo.CategoryVo;
import lombok.Data;
/**
* 分类实体对象
*
* @author zxfei
* @date 2023-09-18
*/
@Data
public class CategoryEntity extends CategoryVo {
    private static final long serialVersionUID = 1L;

    /**
    * 分类名称
    */
    private String name;
    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof CategoryEntity) {
            CategoryEntity tmp = (CategoryEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public void initAttrValue(){
            this.name = "";
    }
}